[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#352186: LEGACY_START should not be set on alpha

Package: linux-2.6
Version: 2.6.15-5
Severity: important

On Thu, Feb 09, 2006 at 05:46:01PM -0500, Jay Estabrook wrote:
> On Wed, Feb 08, 2006 at 01:51:45AM -0800, Steve Langasek wrote:

> > As of two days ago, the debian-installer svn tree has been switched to use
> > Linux 2.6.15 exclusively on alpha, instead of the previous 2.4.27.  This
> > means that with the most recent daily builds, all installer images for alpha
> > are using 2.6 kernels *only*, and the current plan is that d-i beta2 will be
> > the same.  If you haven't tried 2.6 on your alpha yet, now would be a good
> > time so you can let us know if it doesn't work before we drop 2.4 for etch
> > completely.

> Tried the netinstall CD from 02/07/06 on LX164, and found the following:

> 1. installer used 2.6.15 kernel with LEGACY_START option
> 2. installed kernel 2.4.27 with LEGACY_START option

> Neither of those will boot on DS15/DS25/ES45 (among others) because of

> AFAIK, all SRM console machines will boot kernels without LEGACY_START.

> Only MILO-based machines require LEGACY_START.

Yep, we're all in agreement that LEGACY_START should be disabled in the
standard image flavor, and even that this should have been done a while ago;
and that a new "legacy" flavor (name TBD) should be added for MILO systems
requiring the different load address.

Opening a reminder bug, as discussed with Norbert on IRC. :)

Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/

Attachment: signature.asc
Description: Digital signature

Reply to: